Bug 118882 - Machine doesn't boot SMP Kernel after installation
Machine doesn't boot SMP Kernel after installation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-22 05:20 EST by Rainer Koenig
Modified: 2013-08-05 21:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Capture of kernel boot messages until crash (14.48 KB, text/plain)
2004-04-30 05:10 EDT, Rainer Koenig
no flags Details

  None (edit)
Description Rainer Koenig 2004-03-22 05:20:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20040130 Firebird/0.7

Description of problem:
Installed a fresh Red Hat Enterprise 3.0 Workstation for AMD64 from CDs.
Installation seemed to be ok, but on the first reboot the machine
stops responding. 

Version-Release number of selected component (if applicable):
kernel-smp-2.4.18-9EL

How reproducible:
Always

Steps to Reproduce:
1. Install Red Hat Enterprise 3.0 Workstation for x86_64 from CD
2. Go through the normal reboot
3. 
    

Actual Results:  Machine stops. The last lines that appear are:

"Initalizing RT netlink socket" 
and after a while
"schedule_task(): keventd has not started"

At this point the machine is dead, not responding to keypressures any
more.

Expected Results:  Normal boot.

Additional info:

Machine is a Tyan-2885 based dual opteron workstation.

If I boot the non-SMP kernel it works, but not with the SMP kernel.

Same machine works fine with SuSE 9.0 for AMD64 or even Fedora Core 1
for AMD64.
Comment 1 Rainer Koenig 2004-03-26 09:11:51 EST
The Version information in the bug report is inaccurate. In fact it
was tested and is reproducable with kernel-smp-2.4.21-9.0.1.ELsmp from the
Update 1 ISO images. 
Comment 2 Jim Paradis 2004-04-16 12:12:40 EDT
Are you still seeing this bug with the latest kernel?  I have not been
able to reproduce it so far on my 2885.
Comment 3 Rainer Koenig 2004-04-21 05:23:22 EDT
I could reproduce the problem any time on my system. Unfortunately my
system is now at Red Hat Germany for analyzing the problem. You should
contact your german colleauge Lars Herrmann for details about their
investigation. 
Comment 5 Rainer Koenig 2004-04-30 05:10:28 EDT
Created attachment 99812 [details]
Capture of kernel boot messages until crash

Tried out the RH EL 3.0 WS Update 2 beta now. The problem is now that the
kernel panics. See attached capture of kernel messages.
Comment 6 Jim Paradis 2004-04-30 11:08:37 EDT
This latest manifestation is a duplicate of Bug 119009, for which
there is a fix in the most recent respin of the U2 kernel (2.4.21-15.EL).

Until then, the workaround is to do the install with "maxcpus=1".  Try
that and let me know how the system comes up once you've installed it.
Comment 7 Ernie Petrides 2004-05-03 17:35:20 EDT

*** This bug has been marked as a duplicate of 119009 ***
Comment 8 Rainer Koenig 2004-05-06 02:47:44 EDT
Yes, I can install with "maxcpus=1". Looks fine now. My only worry is
about the fact that I wasn't able to locate kernel 2.4.21-15.EL on
RHN, so I installed 2.4.21-14.ELsmp instead. :-)
Comment 9 Ernie Petrides 2004-05-06 15:55:11 EDT
We intend to release the official U2 kernel (2.4.21-15.EL) with the
rest of RHEL 3 on Monday of next week.  Please try getting it from
the normal RHN channel on Tuesday.  (The beta channel only has -14.EL.)
Comment 10 John Flanagan 2004-05-11 21:08:44 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.